- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::OneBodyInt Class Reference

OneBodyInt is an abstract base class for objects that compute integrals between two basis functions. More...

`#include <obint.h>`

Inheritance diagram for sc::OneBodyInt:

List of all members.

## Public Member Functions
int | nbasis () const
| Returns the number of basis functions on center one.
int | nbasis1 () const
| Returns the number of basis functions on the center one.
int | nbasis2 () const
| Returns the number of basis functions on the center two.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on the center one.
int | nshell2 () const
| Return the number of shells on the center two.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on the center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on the center two.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | compute_shell (int, int)=0
| Computes the integrals between basis functions in the given shell pair.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed.
virtual bool | cloneable ()
| Return true if the clone member can be called.
virtual Ref< OneBodyInt > | clone ()
| Returns a clone of this.
Integral * | integral () const
## Protected Member Functions
| OneBodyInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0)
## Protected Attributes
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
double * | buffer_

## Detailed Description

OneBodyInt is an abstract base class for objects that compute integrals between two basis functions.

## Member Function Documentation

virtual void sc::OneBodyInt::compute_shell | ( | int | ,
|  | int |  |
| ) |  |  | `[pure virtual]`

Computes the integrals between basis functions in the given shell pair.

Implemented in sc::OneBodyIntCints, sc::OneBodyIntCCA, and sc::OneBodyIntV3.

virtual void sc::OneBodyInt::reinitialize | ( |  | ) | `[virtual]`

This is called for one body integrals that take data to let them know that the data they reference has changed.

virtual bool sc::OneBodyInt::cloneable | ( |  | ) | `[virtual]`

Return true if the clone member can be called.

The default implementation returns false.

Reimplemented in sc::OneBodyIntCints, sc::OneBodyIntCCA, and sc::OneBodyIntV3.

virtual Ref<OneBodyInt> sc::OneBodyInt::clone | ( |  | ) | `[virtual]`

Returns a clone of this.

The default implementation throws an exception.

Reimplemented in sc::OneBodyIntCints, sc::OneBodyIntCCA, and sc::OneBodyIntV3.

The documentation for this class was generated from the following file:

- obint.h